Subject: Re: [PATCH 3/3] imap-send.c: Clean up coding style to better match the rest of the git codebase.

From: Jakub Narebski <[email-masked]>
Date: Mon, 07 Jul 2008 05:40:16 -0700 (PDT)

"Rob Shearman" <[email-masked]> writes:

> 2008/7/7 Junio C Hamano <[email-masked]>:
> > These patches seem to have been linewrapped severely.  I _could_ fix them
> > up and apply, but the last one being about whitespace and style fixes, I'd
> > rather not.
> 
> 2008/6/22 Junio C Hamano <[email-masked]>:
> > Next time please do _not_ attach *.diff but follow the style of patch
> > submission other people do (see recent patch from Linus for example).
> 
> How do you propose I fix this? I attached the patch last time to avoid
> the problem of line wrapping.

If possible to turn of linewrapping, or use either git-send-email
(I think you can send patches also via Gmail) or git-imap-send,
then preferred solution is to have patch inline.

If it is not possible, then attach the patch, but preferrably
 1) with text/plain mimetype (.txt extension instead of .patch or
    .diff could be required for that)

 2) 8bit (preferred) or quoted-printable (if 8bit is not possible)
    transfer encoding (base64 is terrible waste of space); text/plain
    should chose quoted-printable at worst

 3) use "inline" attachement (select 'suggest to display attachement'
    or something like that), so it is possible to select attachement
    and hit reply.

-- 
Jakub Narebski
Poland
ShadeHawk on #git